A-A-P home page | A-A-P Recipe Executive |
Prev | User Manual | Next

## Chapter 26. Debugging a Recipe

The log file shows what happened while A-A-P was executing. Often you can figure out what went wrong by looking at the messages.

The log file is named "AAPDIR/log". It is located in the directory of the main recipe. If you executed aap again and now want to see the previous log, it is named "AAPDIR/log1". Older logs are "AAPDIR/log2", "AAPDIR/log3", etc. This goes up to "AAPDIR/log9".

## Messages

The kind of messages given can be changed with the MESSAGE variable. It is a comma separated list of message types for which the message is displayed. Other messages are still written in the log file.

name | display message for
--- | ---
all | everything
error | errors (Aap cannot continue)
warning | warnings (things that are wrong but Aap can still continue)
note | notes (warnings about things that are probably OK)
depend | dependencies, the reasoning about what to build
info | general info (file copy/delete, up/downloads)
extra | extra info (why something was done)
system | system (shell) commands that are executed
result | the result of system (shell) commands
changedir | changing directories

The command line arguments "-v" and "-s" can be used to make the most often used selections:

Aap argument | $MESSAGE value
--- | ---
(nothing) | error,warning,system,info
-v | all
--verbose | all
-s | error
--silent | error

Other values can be assigned at the command line. For example, to only see error and dependency messages:

aap MESSAGE=error,depend (other arguments)

Don't forget that excluding "error" means that no error messages are displayed!

No matter what messages are displayed, all messages are written in the log file. This can be used afterwards to see what actually happened.

Prev | Up | Next
Chapter 25. Automatic Package Install | Contents | Chapter 27. Differences from make